<?php

	// check acces authorization
	session_start();
	if($_SESSION['user']!="admin"){
		echo "Unauthorized access.";
		die();
	}
	
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	// load existing albums
	
	$albumsRaw = array();
	$albums = array();
	
	$albumsRaw = array_filter(glob('albums/*'), 'is_dir');
	
	for($i=0;$i<count($albumsRaw);$i++){
		$albums[] = str_replace("albums/","",$albumsRaw[$i]);
	}
	
	function getExtension($filename){ 
		$filenameArr = explode(".",$filename); 
		$n = count($filenameArr)-1; 
		$extension = $filenameArr[$n];
		return $extension; 
	}
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<style>
			.imgCover{
				border-radius: 20px;
				width:150px;
				border: 2px solid #<?php echo $color_schemes[$design2]['400']?>;
			}
			.hoverIconPhoto{
				opacity: 0.85;
				cursor: pointer;
			}
			.hoverIconPhoto:hover{
				opacity:1;
			}
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php")?>
		</div>
		<div id="main" style="text-align:center">
			<h1>Edit Albums</h1>
			<div style="width:98%;text-align:right">
				<a href="index.php">Exit admin section</a>
			</div>
			<br>
			<?php 
				if(count($albums)==0){
					echo "No albums created yet.";
				}
				else{
					echo "<table style='width:80%;margin:0 auto'>";
					foreach($albums as $album){
						$thisAlbumCover = "";
						$albumImages = 0;
						$albumInfo = file_get_contents("albumInfos/".$album.".txt");
						$albumInfo = json_decode($albumInfo,true);
						// see if cover image exists
						foreach(glob("albumCovers/*.*") as $albumCoverFile) {
							// remove extension
							$ext = getExtension($albumCoverFile);
							$thisCover = str_replace(".".$ext,"",$albumCoverFile);
							$thisCover = str_replace("albumCovers/","",$thisCover);
							if($thisCover==$albumInfo['namespace']){
								$thisAlbumCover = $albumCoverFile;
							}
						}
						foreach(glob("albums/".$album."/*.*") as $albumImage) {
							$albumImages++;
						}
			?>
							<tr>
								<td style="width:200px;text-align:center">
									<?php
										if($thisAlbumCover!=""){
											echo "<img src='".$thisAlbumCover."' class='imgCover'>";
										}
									?>
									<table style="margin:0 auto">
										<tr>
											<td style="font-size:0.8em">
												<?php echo $albumImages?>
											</td>
											<td>
												<img src="icons/images.png" style="width:30px;padding:5px;">
											</td>
										</tr>
									</table>
								</td>
								<td style="text-align:left">
									<div style="font-size:1.2em;font-variant:small-caps;font-weight:bold"><?php echo $albumInfo['title']?></div>
									<?php echo $albumInfo['description']?>
								</td>
								<td style="text-align:right">
									<table style="margin: 0 100%">
										<tr>
											<td>
												<img src="<?php echo $pageURL.$path?>icons/settings.png" style="width:30px;padding:5px;" class="hoverIconPhoto editAlbum" data-id="<?php echo $album?>">
											</td>
											<td>
												<img src="icons/delete.png" style="width:30px;padding:5px;" class="hoverIconPhoto deleteAlbum" data-id="<?php echo $album?>">
											</td>
										</tr>
									</table>
								</td>
							</tr>
			<?php
					}
					echo "</table>";
				}
			?>
			<br><br>
			<img src="icons/newAlbum.png" style="width:100px;padding:5px;" class="hoverIconPhoto" data-id="<?php echo $album?>" onclick="location='albumCreate.php'">
		</div>
		<?php include($baseURL."footer.php")?>
		<script>
			$(".deleteAlbum").click(function(){
				id = $(this).attr('data-id');
				confirmDelete = confirm("Do you really want to delete this album?");
				if(confirmDelete){
					location = "deleteAlbum.php?album="+id;
				}
			})
			$(".editAlbum").click(function(){
				id = $(this).attr('data-id');
				location = "editAlbum.php?album="+id;
			})
		</script>
	</body>
</html>