<?php

	// check acces authorization
	session_start();
	if($_SESSION['user']!="admin"){
		echo "Unauthorized access.";
		die();
	}
	
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	$album = $_GET['album'];
	
	$albumInfo = file_get_contents("albumInfos/".$album.".txt");
	$albumInfo = json_decode($albumInfo,true);
	
	$maxSize = ini_get('upload_max_filesize');
	if(ini_get('post_max_size')<$maxSize){
		$maxSize = ini_get('post_max_size');
	}
	
	// get all images
	$albumImages = glob("albums/".$album."/*.*");
	
	// load image captions
	if(array_key_exists("captions")){
		
	}
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<style>
			.photoDiv{
				float: left;
				width: 200px;
				background: #<?php echo $color_schemes[$design2]['700']?>;
				color: white;
				text-align: center;
				border-radius: 15px;
				border: 1px solid #<?php echo $color_schemes[$design2]['500']?>;
				opacity: 0.8;
				cursor: pointer;
				height: 300px;
				margin: 2%;
			}
			div.img img {
				width: 100%;
				height: auto;
			}

			* {
				box-sizing: border-box;
			}
			.clearfix:after {
				content: "";
				display: table;
				clear: both;
			}
			.photoDiv:hover{
				opacity: 1;
			}
			.albumImage{
				max-height:200px;
				max-width:180px;
				margin: 0 auto;
				border-radius: 15px;
				padding: 2%;
				display: block;
				padding-top:10px;
			}
			.hoverIconPhoto{
				opacity: 0.85;
				cursor: pointer;
			}
			.hoverIconPhoto:hover{
				opacity:1;
			}
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php")?>
		</div>
		<div id="main" style="text-align:center">
			<a href="albumList.php">Back to albums</a>
			<h1><?php echo $albumInfo['title']?></h1>
			<h2>Add images</h2>
			<div style="width:96%;margin:0 auto;text-align:left">
				<p>
					Please note: your server configuration allows maximum upload size of all images uploaded at once of <?php echo $maxSize?>
				</p>
				<form method="post" enctype="multipart/form-data" action="uploadPhotos.php">
					<input type="file" name="files[]" id="files" multiple="">
					<input type="hidden" name="album" value="<?php echo $album ?>">
					<input class="button2" type="submit" value="Upload">
				</form>
			</div>
			<h2>Images</h2>
				<?php 
					for($i=0;$i<count($albumImages);$i++){
				?>
						<div class="photoDiv" style="position:relative">
							<div class="img">
							<img src="<?php echo $albumImages[$i]?>" class="albumImage">
								<div style="position:absolute;bottom:10px;text-align:center;margin:0 auto;width:98%">
								<?php 
									if(array_key_exists($albumImages[$i],$albumInfo['captions'])){
								?>
										<div style="margin:0 auto;font-size:1.3em;font-weight:bold;font-variant:small-caps">
								<?php
										echo $albumInfo['captions'][$albumImages[$i]]['title'];
								?>
										</div>
										<img src="<?php echo $pageURL.$path?>icons/settings.png" style="width:30px;padding:5px;" class="hoverIconPhoto" onclick="location='editImage.php?album=<?php echo $album?>&image=<?php echo $i?>'">
								<?php
									}
									else{
								?>
										<img src="<?php echo $pageURL.$path?>icons/settings.png" style="width:30px;padding:5px;" class="hoverIconPhoto" onclick="location='editImage.php?album=<?php echo $album?>&image=<?php echo $i?>'">
								<?php
									}
								?>
									<img src="icons/delete.png" style="width:30px;padding:5px;" class="hoverIconPhoto" onclick="deleteImage(<?php echo $i?>)">
								</div>
							</div>
						</div>
				<?php
					}
				?>
				<div class="clearfix"></div>
		</div>
		<?php include($baseURL."footer.php")?>
		<script>
			function deleteImage(image){
				really = confirm("Do you really want to delete this image?");
				if(really){
					location = "deleteImage.php?album=<?php echo $album?>&image="+image;
				}
			}
		</script>
	</body>
</html>