<?php

	// check acces authorization
	session_start();
	if($_SESSION['user']!="admin"){
		echo "Unauthorized access.";
		die();
	}
	
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	$album = $_GET['album'];
	$image = $_GET['image'];
	
	// get all images
	$albumImages = glob("albums/".$album."/*.*");
	
	// selected image name
	$selectedImage = $albumImages[$image];
	
	$albumInfo = file_get_contents("albumInfos/".$album.".txt");
	$albumInfo = json_decode($albumInfo,true);
	
	// some caption already exists
	if(array_key_exists($selectedImage,$albumInfo['captions'])){
		$imageTitle = $albumInfo['captions'][$selectedImage]['title'];
		$imageDesc = $albumInfo['captions'][$selectedImage]['description'];
	}
	else{
		$imageTitle = "";
		$imageDesc = "";
	}
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<style>
			.photoDiv{
				display: inline-block;
				background: #<?php echo $color_schemes[$design2]['700']?>;
				color: white;
				text-align: center;
				border-radius: 15px;
				border: 1px solid #<?php echo $color_schemes[$design2]['500']?>;
				width: 200px;
				height: 250px;
				opacity: 0.8;
				cursor: pointer;
			}
			.photoDiv:hover{
				opacity: 1;
			}
			.albumImage{
				width: 180px;
				height: 180px;
				margin: 0 auto;
				border-radius: 15px;
				padding: 2%;
				display: block;
				padding-top:10px;
			}
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php")?>
		</div>
		<div id="main" style="text-align:center">
			<br><br>
			<img src="<?php echo $selectedImage?>" style="width:500px;padding-left:5px;">
			<form method="POST" action="saveImageInfo.php">
				<br>
				<div style="margin:0 auto;text-align:left;width:500px">
					Title:
					<br>
					<input name="title" value="<?php echo $imageTitle?>" class="button2"><br>
					Description:
					<br>
					<textarea name="description" class="button2" style="display:block;width:490px"><?php echo $imageDesc?></textarea>
					<input type="hidden" name="album" value="<?php echo $album?>">
					<input type="hidden" name="image" value="<?php echo $image?>">
					<br>
					<div style="width:100%;text-align:center">
						<input type="submit" class="button2" value="Save">
					</div>
					<br><br>
				</div>
			</form>
		</div>
		<?php include($baseURL."footer.php")?>
	</body>
</html>