<?php
	############################################################################
	# 	
	#	Meteotemplate
	# 	http://www.meteotemplate.com
	# 	Free website template for weather enthusiasts
	# 	Author: Jachym
	#           Brno, Czech Republic
	# 	First release: 2015
	#
	############################################################################
	#
	#	Photo Gallery
	#
	# 	Plugin for uploading photos and creating photo albums
	#
	############################################################################
	#	Version and change log
	#
	# 	v1.0 	2015-11-23	Initial release
	#
	############################################################################
	
	if(!file_exists("settings.php")){
		echo "Missing settings file, create one using the plugin setup.";
		die();
	}
	else{
		include("settings.php");
	}

	session_start();
	
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	// load existing albums
	
	$albumsRaw = array();
	$albums = array();
	
	$albumsRaw = array_filter(glob('albums/*'), 'is_dir');
	
	for($i=0;$i<count($albumsRaw);$i++){
		$albums[] = str_replace("albums/","",$albumsRaw[$i]);
	}
	
	function getExtension($filename){ 
		$filenameArr = explode(".",$filename); 
		$n = count($filenameArr)-1; 
		$extension = $filenameArr[$n];
		return $extension; 
	}
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<style>
			.imgCover{
				border-radius: 20px;
				width:150px;
				border: 2px solid #<?php echo $color_schemes[$design2]['400']?>;
			}
			.albumTable tr td {
				cursor:pointer;
			}
			.albumTable tr:hover td {
				background: #<?php echo $color_schemes[$design2]['900']?>;
			}
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php")?>
		</div>
		<div id="main" style="text-align:center">
			<h1><?php echo lang('albums','c')?></h1>
			<br>
			<?php 
				if($_SESSION['user']=="admin"){
			?>
					<div style="width:98%;text-align:right">
						<a href="albumList.php">Go to Photo album administration</a>
					</div>
			<?php
				}
			?>
			<?php 
				if(count($albums)==0){
					echo lang("no albums created yet",'c');
				}
				else{
					echo "<table style='width:98%;margin:0 auto;border-spacing:0px;' class='albumTable'>";
					foreach($albums as $album){
						$thisAlbumCover = "";
						$albumImages = 0;
						$albumInfo = file_get_contents("albumInfos/".$album.".txt");
						$albumInfo = json_decode($albumInfo,true);
						// see if cover image exists
						foreach(glob("albumCovers/*.*") as $albumCoverFile) {
							// remove extension
							$ext = getExtension($albumCoverFile);
							$thisCover = str_replace(".".$ext,"",$albumCoverFile);
							$thisCover = str_replace("albumCovers/","",$thisCover);
							if($thisCover==$albumInfo['namespace']){
								$thisAlbumCover = $albumCoverFile;
							}
						}
						foreach(glob("albums/".$album."/*.*") as $albumImage) {
							$albumImages++;
						}
			?>
							<tr onclick="location='viewAlbum.php?album=<?php echo $album?>'">
								<td style="width:200px;text-align:center;padding-top:10px">
									<?php
										if($thisAlbumCover!=""){
											echo "<img src='".$thisAlbumCover."' class='imgCover'>";
										}
									?>
									<table style="margin:0 auto">
										<tr>
											<td style="font-size:0.8em">
												<?php echo $albumImages?>
											</td>
											<td>
												<img src="icons/images.png" style="width:30px;padding:5px;">
											</td>
										</tr>
									</table>
								</td>
								<td style="text-align:left">
									<div style="font-size:1.2em;font-variant:small-caps;font-weight:bold"><?php echo $albumInfo['title']?></div>
									<?php echo $albumInfo['description']?>
								</td>
							</tr>
			<?php
					}
					echo "</table>";
				}
			?>
			<br><br>
		</div>
		<?php include($baseURL."footer.php")?>
		<script>
			$(".viewAlbum").click(function(){
				id = $(this).attr('data-id');
				location = "viewAlbum.php?album="+id;
			})
		</script>
	</body>
</html>