<?php

	// check acces authorization
	session_start();
	if($_SESSION['user']!="admin"){
		echo "Unauthorized access.";
		die();
	}
	
	// load core files
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	// check if settings already exists and if so, load it, otherwise set parameters to default values
	if(file_exists("settings.php")){
		include("settings.php");
	}

	if(!isset($slideShowInterval)){
		$slideShowInterval = 5;
	}
	if(!isset($thumbHeight)){
		$thumbHeight = "75";
	}
	if(!isset($transitionForward)){
		$transitionForward = "random";
	}
	if(!isset($transitionReverse)){
		$transitionReverse = "random";
	}
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<style>
			
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php")?>
		</div>
		<div id="main" style="text-align:center">
			<h1>BloomSky - Setup</h1>
			<form method="POST" action="saveSettings.php" target="_blank">
				<table style="width:98%;margin:0 auto">
					<tr>
						<td style="text-align:left;width:300px">
							Slideshow interval
						</td>
						<td style="text-align:left">
							<input class="button2" value="<?php echo $slideShowInterval?>" name="slideShowInterval" size="3"> s
							<br>
							The number of seconds for image swap during slideshow auto-play
						</td>
					</tr>
					<tr>
						<td style="text-align:left">
							Thumbnail height
						</td>
						<td style="text-align:left">
							<input class="button2" value="<?php echo $thumbHeight?>" name="thumbHeight" size="4"> px
							<br>
							The height of the thumbnails in the slideshow view
						</td>
					</tr>
					<tr>
						<td style="text-align:left">
							Slideshow image transition effect
						</td>
						<td style="text-align:left">
							<select name="transitionForward" class="button2">
								<option value="random" <?php if($transitionForward=="random"){echo "selected";}?>>Random</option>
								<option value="moveToLeft_moveFromRight" <?php if($transitionForward=="moveToLeft_moveFromRight"){echo "selected";}?>>Move to left/move from right</option>
								<option value="moveToRight_moveFromLeft" <?php if($transitionForward=="moveToRight_moveFromLeft"){echo "selected";}?>>Move to right/move from left</option>
								<option value="moveToTop_moveFromBottom" <?php if($transitionForward=="moveToTop_moveFromBottom"){echo "selected";}?>>Move to top/move from bottom</option>
								<option value="moveToBottom_moveFromTop" <?php if($transitionForward=="moveToBottom_moveFromTop"){echo "selected";}?>>Move to bottom/move to top</option>
								<option value="fade_moveFromRight" <?php if($transitionForward=="fade_moveFromRight"){echo "selected";}?>>Fade out/Move from right</option>
								<option value="fade_moveFromLeft" <?php if($transitionForward=="fade_moveFromLeft"){echo "selected";}?>>Fade out/Move from left</option>
								<option value="fade_moveFromBottom" <?php if($transitionForward=="fade_moveFromBottom"){echo "selected";}?>>Fade out/Move from bottom</option>
								<option value="fade_moveFromTop" <?php if($transitionForward=="fade_moveFromTop"){echo "selected";}?>>Fade out/Move from top</option>
								<option value="moveToLeftFade_moveFromRightFade" <?php if($transitionForward=="moveToLeftFade_moveFromRightFade"){echo "selected";}?>>Fade and move to left/Fade in and move from right</option>
								<option value="moveToRightFade_moveFromLeftFade" <?php if($transitionForward=="moveToRightFade_moveFromLeftFade"){echo "selected";}?>>Fade and move to right/Fade in and move from left</option>
								<option value="moveToTopFade_moveFromBottomFade" <?php if($transitionForward=="moveToTopFade_moveFromBottomFade"){echo "selected";}?>>Fade and move to top/Fade in and move from bottom</option>
								<option value="moveToBottomFade_moveFromTopFade" <?php if($transitionForward=="moveToBottomFade_moveFromTopFade"){echo "selected";}?>>Fade and move to bottom/Fade in and move from top</option>
								<option value="moveToLeftEasing_moveFromRight" <?php if($transitionForward=="moveToLeftEasing_moveFromRight"){echo "selected";}?>>Move to left (easing) / Move from right</option>
								<option value="moveToRightEasing_moveFromLeft" <?php if($transitionForward=="moveToRightEasing_moveFromLeft"){echo "selected";}?>>Move to right (easing) / Move from left</option>
								<option value="moveToTopEasing_moveFromBottom" <?php if($transitionForward=="moveToTopEasing_moveFromBottom"){echo "selected";}?>>Move to top (easing) / Move from bottom</option>
								<option value="moveToBottomEasing_moveFromTop" <?php if($transitionForward=="moveToBottomEasing_moveFromTop"){echo "selected";}?>>Move to bottom (easing) / Move from top</option>
								<option value="scaleDown_moveFromRight" <?php if($transitionForward=="scaleDown_moveFromRight"){echo "selected";}?>>Scake down / Move from right</option>
								<option value="scaleDown_moveFromLeft" <?php if($transitionForward=="scaleDown_moveFromLeft"){echo "selected";}?>>Scale down / Move from left</option>
								<option value="scaleDown_moveFromBottom" <?php if($transitionForward=="scaleDown_moveFromBottom"){echo "selected";}?>>Scale down / Move from bottom</option>
								<option value="scaleDown_moveFromTop" <?php if($transitionForward=="scaleDown_moveFromTop"){echo "selected";}?>>Scale down / Move from top</option>
								<option value="scaleDown_scaleUpDown" <?php if($transitionForward=="scaleDown_scaleUpDown"){echo "selected";}?>>Scale down / Scale up-down</option>
								<option value="scaleDownUp_scaleUp" <?php if($transitionForward=="scaleDownUp_scaleUp"){echo "selected";}?>>Scale down-up / Scale up</option>
								<option value="moveToLeft_scaleUp" <?php if($transitionForward=="moveToLeft_scaleUp"){echo "selected";}?>>Move to left / Scale up</option>
								<option value="moveToRight_scaleUp" <?php if($transitionForward=="moveToRight_scaleUp"){echo "selected";}?>>Move to right / Scale up</option>
								<option value="moveToTop_scaleUp" <?php if($transitionForward=="moveToTop_scaleUp"){echo "selected";}?>>Move to top / Scale up</option>
								<option value="moveToBottom_scaleUp" <?php if($transitionForward=="moveToBottom_scaleUp"){echo "selected";}?>>Move to bottom / Scale up</option>
								<option value="scaleDownCenter_scaleUpCenter" <?php if($transitionForward=="scaleDownCenter_scaleUpCenter"){echo "selected";}?>>Scale down center / Scale up center</option>
								<option value="rotateRightSideFirst_moveFromRight" <?php if($transitionForward=="rotateRightSideFirst_moveFromRight"){echo "selected";}?>>Rotate right / Move from right</option>
								<option value="rotateLeftSideFirst_moveFromLeft" <?php if($transitionForward=="rotateLeftSideFirst_moveFromLeft"){echo "selected";}?>>Rotate left / Move from left</option>
								<option value="rotateTopSideFirst_moveFromTop" <?php if($transitionForward=="rotateTopSideFirst_moveFromTop"){echo "selected";}?>>Rotate top / Move from top</option>
								<option value="rotateBottomSideFirst_moveFromBottom" <?php if($transitionForward=="rotateBottomSideFirst_moveFromBottom"){echo "selected";}?>>Rotate bottom / Move from bottom</option>
								<option value="flipOutRight_flipInLeft" <?php if($transitionForward=="flipOutRight_flipInLeft"){echo "selected";}?>>Flip out right / Flip in left</option>
								<option value="flipOutLeft_flipInRight" <?php if($transitionForward=="flipOutLeft_flipInRight"){echo "selected";}?>>Flip out left / Flip in right</option>
								<option value="flipOutTop_flipInBottom" <?php if($transitionForward=="flipOutTop_flipInBottom"){echo "selected";}?>>Flip out top / Flip in bottom</option>
								<option value="flipOutBottom_flipInTop" <?php if($transitionForward=="flipOutBottom_flipInTop"){echo "selected";}?>>Flip out bottom / Flip in top</option>
								<option value="rotateFall_scaleUp" <?php if($transitionForward=="rotateFall_scaleUp"){echo "selected";}?>>Rotate fall / Scale up</option>
								<option value="rotateOutNewspaper_rotateInNewspaper" <?php if($transitionForward=="rotateOutNewspaper_rotateInNewspaper"){echo "selected";}?>>Rotate out / rotate in</option>
								<option value="rotatePushLeft_moveFromRight" <?php if($transitionForward=="rotatePushLeft_moveFromRight"){echo "selected";}?>>Rotate push left / Move from right</option>
								<option value="rotatePushRight_moveFromLeft" <?php if($transitionForward=="rotatePushRight_moveFromLeft"){echo "selected";}?>>Rotate push right / Move from left</option>
								<option value="rotatePushTop_moveFromBottom" <?php if($transitionForward=="rotatePushTop_moveFromBottom"){echo "selected";}?>>Rotate push top / Move from bottom</option>
								<option value="rotatePushBottom_moveFromTop" <?php if($transitionForward=="rotatePushBottom_moveFromTop"){echo "selected";}?>>Rotate push bottom / Move from top</option>
								<option value="rotatePushLeft_rotatePullRight" <?php if($transitionForward=="rotatePushLeft_rotatePullRight"){echo "selected";}?>>Rotate push left / Rotate pull right</option>
								<option value="rotatePushRight_rotatePullLeft" <?php if($transitionForward=="rotatePushRight_rotatePullLeft"){echo "selected";}?>>Rotate push right / Rotate pull left</option>
								<option value="rotatePushTop_rotatePullBottom" <?php if($transitionForward=="rotatePushTop_rotatePullBottom"){echo "selected";}?>>Rotate push top / Rotate pull bottom</option>
								<option value="rotatePushBottom_page" <?php if($transitionForward=="rotatePushBottom_page"){echo "selected";}?>>Rotate push bottom / Rotate in</option>
								<option value="rotateFoldLeft_moveFromRightFade" <?php if($transitionForward=="rotateFoldLeft_moveFromRightFade"){echo "selected";}?>>Rotate fold left / Move from right (fade)</option>
								<option value="rotateFoldRight_moveFromLeftFade" <?php if($transitionForward=="rotateFoldRight_moveFromLeftFade"){echo "selected";}?>>Rotate fold right / Move from left (fade)</option>
								<option value="rotateFoldTop_moveFromBottomFade" <?php if($transitionForward=="rotateFoldTop_moveFromBottomFade"){echo "selected";}?>>Rotate fold top / Move from bottom (fade)</option>
								<option value="rotateFoldBottom_moveFromTopFade" <?php if($transitionForward=="rotateFoldBottom_moveFromTopFade"){echo "selected";}?>>Rotate fold bottom / Move from top (fade)</option>
								<option value="moveToRightFade_rotateUnfoldLeft" <?php if($transitionForward=="moveToRightFade_rotateUnfoldLeft"){echo "selected";}?>>Move to right (fade) / Rotate unfold left</option>
								<option value="moveToLeftFade_rotateUnfoldRight" <?php if($transitionForward=="moveToLeftFade_rotateUnfoldRight"){echo "selected";}?>>Move to left (fade) / Rotate unfold right </option>
								<option value="moveToBottomFade_rotateUnfoldTop" <?php if($transitionForward=="moveToBottomFade_rotateUnfoldTop"){echo "selected";}?>>Move to bottom (fade) / Rotate unfold top</option>
								<option value="moveToTopFade_rotateUnfoldBottom" <?php if($transitionForward=="moveToTopFade_rotateUnfoldBottom"){echo "selected";}?>>Move to top (fade) / Rotate unfold bottom</option>
								<option value="rotateRoomLeftOut_rotateRoomLeftIn" <?php if($transitionForward=="rotateRoomLeftOut_rotateRoomLeftIn"){echo "selected";}?>>Rotate left out / Rotate left in</option>
								<option value="rotateRoomRightOut_rotateRoomRightIn" <?php if($transitionForward=="rotateRoomRightOut_rotateRoomRightIn"){echo "selected";}?>>Rotate right out / Rotate right in</option>
								<option value="rotateRoomTopOut_rotateRoomTopIn" <?php if($transitionForward=="rotateRoomTopOut_rotateRoomTopIn"){echo "selected";}?>>Rotate top out / Rotate top in</option>
								<option value="rotateRoomBottomOut_rotateRoomBottomIn" <?php if($transitionForward=="rotateRoomBottomOut_rotateRoomBottomIn"){echo "selected";}?>>Rotate bottom out / Rotate bottom in</option>
								<option value="rotateCubeLeftOut_rotateCubeLeftIn" <?php if($transitionForward=="rotateCubeLeftOut_rotateCubeLeftIn"){echo "selected";}?>>Rotate cube left out / Rotate cube left in</option>
								<option value="rotateCubeRightOut_rotateCubeRightIn" <?php if($transitionForward=="rotateCubeRightOut_rotateCubeRightIn"){echo "selected";}?>>Rotate cube right out / Rotate cube right in</option>
								<option value="rotateCubeTopOut_rotateCubeTopIn" <?php if($transitionForward=="rotateCubeTopOut_rotateCubeTopIn"){echo "selected";}?>>Rotate cube top out / Rotate cube top in</option>
								<option value="rotateCubeBottomOut_rotateCubeBottomIn" <?php if($transitionForward=="rotateCubeBottomOut_rotateCubeBottomIn"){echo "selected";}?>>Rotate cube bottom out / Rotate cube bottom in</option>
								<option value="rotateCarouselLeftOut_rotateCarouselLeftIn" <?php if($transitionForward=="rotateCarouselLeftOut_rotateCarouselLeftIn"){echo "selected";}?>>Rotate carousel left out / Rotate carousel left in</option>
								<option value="rotateCarouselRightOut_rotateCarouselRightIn" <?php if($transitionForward=="rotateCarouselRightOut_rotateCarouselRightIn"){echo "selected";}?>>Rotate carousel right out / Rotate carousel right in</option>
								<option value="rotateCarouselTopOut_rotateCarouselTopIn" <?php if($transitionForward=="rotateCarouselTopOut_rotateCarouselTopIn"){echo "selected";}?>>Rotate carousel top out / Rotate carousel top in</option>
								<option value="rotateCarouselBottomOut_rotateCarouselBottomIn" <?php if($transitionForward=="rotateCarouselBottomOut_rotateCarouselBottomIn"){echo "selected";}?>>Rotate carousel bottom out / Rotate carousel bottom in</option>
								<option value="rotateSidesOut_rotateSidesInDelay" <?php if($transitionForward=="rotateSidesOut_rotateSidesInDelay"){echo "selected";}?>>Rotate out / Rotate in (delay)</option>
								<option value="rotateSlideOut_rotateSlideIn" <?php if($transitionForward=="rotateSlideOut_rotateSlideIn"){echo "selected";}?>>Rotate slide out / Rotate slide in</option>
							</select>
						</td>
					</tr>
					<tr>
						<td style="text-align:left">
							Slideshow image transition effect (backwards)
						</td>
						<td style="text-align:left">
							<select name="transitionReverse" class="button2">
								<option value="random" <?php if($transitionReverse=="random"){echo "selected";}?>>Random</option>
								<option value="moveToLeft_moveFromRight" <?php if($transitionReverse=="moveToLeft_moveFromRight"){echo "selected";}?>>Move to left/move from right</option>
								<option value="moveToRight_moveFromLeft" <?php if($transitionReverse=="moveToRight_moveFromLeft"){echo "selected";}?>>Move to right/move from left</option>
								<option value="moveToTop_moveFromBottom" <?php if($transitionReverse=="moveToTop_moveFromBottom"){echo "selected";}?>>Move to top/move from bottom</option>
								<option value="moveToBottom_moveFromTop" <?php if($transitionReverse=="moveToBottom_moveFromTop"){echo "selected";}?>>Move to bottom/move to top</option>
								<option value="fade_moveFromRight" <?php if($transitionReverse=="fade_moveFromRight"){echo "selected";}?>>Fade out/Move from right</option>
								<option value="fade_moveFromLeft" <?php if($transitionReverse=="fade_moveFromLeft"){echo "selected";}?>>Fade out/Move from left</option>
								<option value="fade_moveFromBottom" <?php if($transitionReverse=="fade_moveFromBottom"){echo "selected";}?>>Fade out/Move from bottom</option>
								<option value="fade_moveFromTop" <?php if($transitionReverse=="fade_moveFromTop"){echo "selected";}?>>Fade out/Move from top</option>
								<option value="moveToLeftFade_moveFromRightFade" <?php if($transitionReverse=="moveToLeftFade_moveFromRightFade"){echo "selected";}?>>Fade and move to left/Fade in and move from right</option>
								<option value="moveToRightFade_moveFromLeftFade" <?php if($transitionReverse=="moveToRightFade_moveFromLeftFade"){echo "selected";}?>>Fade and move to right/Fade in and move from left</option>
								<option value="moveToTopFade_moveFromBottomFade" <?php if($transitionReverse=="moveToTopFade_moveFromBottomFade"){echo "selected";}?>>Fade and move to top/Fade in and move from bottom</option>
								<option value="moveToBottomFade_moveFromTopFade" <?php if($transitionReverse=="moveToBottomFade_moveFromTopFade"){echo "selected";}?>>Fade and move to bottom/Fade in and move from top</option>
								<option value="moveToLeftEasing_moveFromRight" <?php if($transitionReverse=="moveToLeftEasing_moveFromRight"){echo "selected";}?>>Move to left (easing) / Move from right</option>
								<option value="moveToRightEasing_moveFromLeft" <?php if($transitionReverse=="moveToRightEasing_moveFromLeft"){echo "selected";}?>>Move to right (easing) / Move from left</option>
								<option value="moveToTopEasing_moveFromBottom" <?php if($transitionReverse=="moveToTopEasing_moveFromBottom"){echo "selected";}?>>Move to top (easing) / Move from bottom</option>
								<option value="moveToBottomEasing_moveFromTop" <?php if($transitionReverse=="moveToBottomEasing_moveFromTop"){echo "selected";}?>>Move to bottom (easing) / Move from top</option>
								<option value="scaleDown_moveFromRight" <?php if($transitionReverse=="scaleDown_moveFromRight"){echo "selected";}?>>Scake down / Move from right</option>
								<option value="scaleDown_moveFromLeft" <?php if($transitionReverse=="scaleDown_moveFromLeft"){echo "selected";}?>>Scale down / Move from left</option>
								<option value="scaleDown_moveFromBottom" <?php if($transitionReverse=="scaleDown_moveFromBottom"){echo "selected";}?>>Scale down / Move from bottom</option>
								<option value="scaleDown_moveFromTop" <?php if($transitionReverse=="scaleDown_moveFromTop"){echo "selected";}?>>Scale down / Move from top</option>
								<option value="scaleDown_scaleUpDown" <?php if($transitionReverse=="scaleDown_scaleUpDown"){echo "selected";}?>>Scale down / Scale up-down</option>
								<option value="scaleDownUp_scaleUp" <?php if($transitionReverse=="scaleDownUp_scaleUp"){echo "selected";}?>>Scale down-up / Scale up</option>
								<option value="moveToLeft_scaleUp" <?php if($transitionReverse=="moveToLeft_scaleUp"){echo "selected";}?>>Move to left / Scale up</option>
								<option value="moveToRight_scaleUp" <?php if($transitionReverse=="moveToRight_scaleUp"){echo "selected";}?>>Move to right / Scale up</option>
								<option value="moveToTop_scaleUp" <?php if($transitionReverse=="moveToTop_scaleUp"){echo "selected";}?>>Move to top / Scale up</option>
								<option value="moveToBottom_scaleUp" <?php if($transitionReverse=="moveToBottom_scaleUp"){echo "selected";}?>>Move to bottom / Scale up</option>
								<option value="scaleDownCenter_scaleUpCenter" <?php if($transitionReverse=="scaleDownCenter_scaleUpCenter"){echo "selected";}?>>Scale down center / Scale up center</option>
								<option value="rotateRightSideFirst_moveFromRight" <?php if($transitionReverse=="rotateRightSideFirst_moveFromRight"){echo "selected";}?>>Rotate right / Move from right</option>
								<option value="rotateLeftSideFirst_moveFromLeft" <?php if($transitionReverse=="rotateLeftSideFirst_moveFromLeft"){echo "selected";}?>>Rotate left / Move from left</option>
								<option value="rotateTopSideFirst_moveFromTop" <?php if($transitionReverse=="rotateTopSideFirst_moveFromTop"){echo "selected";}?>>Rotate top / Move from top</option>
								<option value="rotateBottomSideFirst_moveFromBottom" <?php if($transitionReverse=="rotateBottomSideFirst_moveFromBottom"){echo "selected";}?>>Rotate bottom / Move from bottom</option>
								<option value="flipOutRight_flipInLeft" <?php if($transitionReverse=="flipOutRight_flipInLeft"){echo "selected";}?>>Flip out right / Flip in left</option>
								<option value="flipOutLeft_flipInRight" <?php if($transitionReverse=="flipOutLeft_flipInRight"){echo "selected";}?>>Flip out left / Flip in right</option>
								<option value="flipOutTop_flipInBottom" <?php if($transitionReverse=="flipOutTop_flipInBottom"){echo "selected";}?>>Flip out top / Flip in bottom</option>
								<option value="flipOutBottom_flipInTop" <?php if($transitionReverse=="flipOutBottom_flipInTop"){echo "selected";}?>>Flip out bottom / Flip in top</option>
								<option value="rotateFall_scaleUp" <?php if($transitionReverse=="rotateFall_scaleUp"){echo "selected";}?>>Rotate fall / Scale up</option>
								<option value="rotateOutNewspaper_rotateInNewspaper" <?php if($transitionReverse=="rotateOutNewspaper_rotateInNewspaper"){echo "selected";}?>>Rotate out / rotate in</option>
								<option value="rotatePushLeft_moveFromRight" <?php if($transitionReverse=="rotatePushLeft_moveFromRight"){echo "selected";}?>>Rotate push left / Move from right</option>
								<option value="rotatePushRight_moveFromLeft" <?php if($transitionReverse=="rotatePushRight_moveFromLeft"){echo "selected";}?>>Rotate push right / Move from left</option>
								<option value="rotatePushTop_moveFromBottom" <?php if($transitionReverse=="rotatePushTop_moveFromBottom"){echo "selected";}?>>Rotate push top / Move from bottom</option>
								<option value="rotatePushBottom_moveFromTop" <?php if($transitionReverse=="rotatePushBottom_moveFromTop"){echo "selected";}?>>Rotate push bottom / Move from top</option>
								<option value="rotatePushLeft_rotatePullRight" <?php if($transitionReverse=="rotatePushLeft_rotatePullRight"){echo "selected";}?>>Rotate push left / Rotate pull right</option>
								<option value="rotatePushRight_rotatePullLeft" <?php if($transitionReverse=="rotatePushRight_rotatePullLeft"){echo "selected";}?>>Rotate push right / Rotate pull left</option>
								<option value="rotatePushTop_rotatePullBottom" <?php if($transitionReverse=="rotatePushTop_rotatePullBottom"){echo "selected";}?>>Rotate push top / Rotate pull bottom</option>
								<option value="rotatePushBottom_page" <?php if($transitionReverse=="rotatePushBottom_page"){echo "selected";}?>>Rotate push bottom / Rotate in</option>
								<option value="rotateFoldLeft_moveFromRightFade" <?php if($transitionReverse=="rotateFoldLeft_moveFromRightFade"){echo "selected";}?>>Rotate fold left / Move from right (fade)</option>
								<option value="rotateFoldRight_moveFromLeftFade" <?php if($transitionReverse=="rotateFoldRight_moveFromLeftFade"){echo "selected";}?>>Rotate fold right / Move from left (fade)</option>
								<option value="rotateFoldTop_moveFromBottomFade" <?php if($transitionReverse=="rotateFoldTop_moveFromBottomFade"){echo "selected";}?>>Rotate fold top / Move from bottom (fade)</option>
								<option value="rotateFoldBottom_moveFromTopFade" <?php if($transitionReverse=="rotateFoldBottom_moveFromTopFade"){echo "selected";}?>>Rotate fold bottom / Move from top (fade)</option>
								<option value="moveToRightFade_rotateUnfoldLeft" <?php if($transitionReverse=="moveToRightFade_rotateUnfoldLeft"){echo "selected";}?>>Move to right (fade) / Rotate unfold left</option>
								<option value="moveToLeftFade_rotateUnfoldRight" <?php if($transitionReverse=="moveToLeftFade_rotateUnfoldRight"){echo "selected";}?>>Move to left (fade) / Rotate unfold right </option>
								<option value="moveToBottomFade_rotateUnfoldTop" <?php if($transitionReverse=="moveToBottomFade_rotateUnfoldTop"){echo "selected";}?>>Move to bottom (fade) / Rotate unfold top</option>
								<option value="moveToTopFade_rotateUnfoldBottom" <?php if($transitionReverse=="moveToTopFade_rotateUnfoldBottom"){echo "selected";}?>>Move to top (fade) / Rotate unfold bottom</option>
								<option value="rotateRoomLeftOut_rotateRoomLeftIn" <?php if($transitionReverse=="rotateRoomLeftOut_rotateRoomLeftIn"){echo "selected";}?>>Rotate left out / Rotate left in</option>
								<option value="rotateRoomRightOut_rotateRoomRightIn" <?php if($transitionReverse=="rotateRoomRightOut_rotateRoomRightIn"){echo "selected";}?>>Rotate right out / Rotate right in</option>
								<option value="rotateRoomTopOut_rotateRoomTopIn" <?php if($transitionReverse=="rotateRoomTopOut_rotateRoomTopIn"){echo "selected";}?>>Rotate top out / Rotate top in</option>
								<option value="rotateRoomBottomOut_rotateRoomBottomIn" <?php if($transitionReverse=="rotateRoomBottomOut_rotateRoomBottomIn"){echo "selected";}?>>Rotate bottom out / Rotate bottom in</option>
								<option value="rotateCubeLeftOut_rotateCubeLeftIn" <?php if($transitionReverse=="rotateCubeLeftOut_rotateCubeLeftIn"){echo "selected";}?>>Rotate cube left out / Rotate cube left in</option>
								<option value="rotateCubeRightOut_rotateCubeRightIn" <?php if($transitionReverse=="rotateCubeRightOut_rotateCubeRightIn"){echo "selected";}?>>Rotate cube right out / Rotate cube right in</option>
								<option value="rotateCubeTopOut_rotateCubeTopIn" <?php if($transitionReverse=="rotateCubeTopOut_rotateCubeTopIn"){echo "selected";}?>>Rotate cube top out / Rotate cube top in</option>
								<option value="rotateCubeBottomOut_rotateCubeBottomIn" <?php if($transitionReverse=="rotateCubeBottomOut_rotateCubeBottomIn"){echo "selected";}?>>Rotate cube bottom out / Rotate cube bottom in</option>
								<option value="rotateCarouselLeftOut_rotateCarouselLeftIn" <?php if($transitionReverse=="rotateCarouselLeftOut_rotateCarouselLeftIn"){echo "selected";}?>>Rotate carousel left out / Rotate carousel left in</option>
								<option value="rotateCarouselRightOut_rotateCarouselRightIn" <?php if($transitionReverse=="rotateCarouselRightOut_rotateCarouselRightIn"){echo "selected";}?>>Rotate carousel right out / Rotate carousel right in</option>
								<option value="rotateCarouselTopOut_rotateCarouselTopIn" <?php if($transitionReverse=="rotateCarouselTopOut_rotateCarouselTopIn"){echo "selected";}?>>Rotate carousel top out / Rotate carousel top in</option>
								<option value="rotateCarouselBottomOut_rotateCarouselBottomIn" <?php if($transitionReverse=="rotateCarouselBottomOut_rotateCarouselBottomIn"){echo "selected";}?>>Rotate carousel bottom out / Rotate carousel bottom in</option>
								<option value="rotateSidesOut_rotateSidesInDelay" <?php if($transitionReverse=="rotateSidesOut_rotateSidesInDelay"){echo "selected";}?>>Rotate out / Rotate in (delay)</option>
								<option value="rotateSlideOut_rotateSlideIn" <?php if($transitionReverse=="rotateSlideOut_rotateSlideIn"){echo "selected";}?>>Rotate slide out / Rotate slide in</option>
							</select>
						</td>
					</tr>
				</table>
				<div style="width:50%;text-align:center;margin:0 auto">
					<input type="submit" value="Save" class="button2">
				</div>
				<br><br>
			</form>
		</div>
		<?php include($baseURL."footer.php")?>
	</body>
</html>