<?php

	
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	$album = $_GET['album'];
	
	$albumInfo = file_get_contents("albumInfos/".$album.".txt");
	$albumInfo = json_decode($albumInfo,true);
	
	// get all images
	$albumImages = glob("albums/".$album."/*.*");
	
	if(!file_exists("settings.php")){
		echo "Missing settings file, create one using the plugin setup.";
		die();
	}
	else{
		include("settings.php");
	}
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<style>

		</style>
		<link rel="stylesheet" type="text/css" media="all" href="jGallery/css/font-awesome.min.css" />
		<link rel="stylesheet" type="text/css" media="all" href="jGallery/css/jgallery.min.css" />
		<script type="text/javascript" src="jGallery/js/jgallery.min.js"></script>
		<script type="text/javascript" src="jGallery/js/tinycolor-0.9.16.min.js"></script>
		<script type="text/javascript" src="jGallery/js/touchswipe.min.js"></script>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php")?>
		</div>
		<div id="main" style="text-align:center">
			<div style="width:98%;text-align:left;margin:0 auto;padding-top:3px;">
				<a href="index.php"><?php echo lang('back to albums','c')?></a>
			</div>
			<h1><?php echo $albumInfo['title']?></h1>
			<div id="gallery">
				<?php 
					for($i=0;$i<count($albumImages);$i++){
						if(isset($albumInfo['captions'][$albumImages[$i]]['title'])){
							$imageTitle = $albumInfo['captions'][$albumImages[$i]]['title'];
						}
						else{
							$imageTitle = "";
						}
						if(isset($albumInfo['captions'][$albumImages[$i]]['description'])){
							$imageDesc = $albumInfo['captions'][$albumImages[$i]]['description'];
						}
						else{
							$imageDesc = "";
						}
				?>
				<a href="<?php echo $albumImages[$i]?>"><img src="<?php echo str_replace("albums/","thumbnails/",$albumImages[$i])?>" alt="<span style='font-weight:bold;font-size:1.2em;font-variant:small-caps'><?php if($imageTitle!=""){ echo $imageTitle; }?></span> <?php if($imageDesc!=""){ echo " - ".$imageDesc;}?>" /></a>
				<?php 
					}
				?>
			</div>
			<script type="text/javascript">
			$( function() {
				$( '#gallery' ).jGallery({
					backgroundColor: '#<?php echo $color_schemes[$design2]['900']?>', 
					textColor: 'white',
					titleExpanded: true,
					browserHistory: false,
					width: '100%',
					slideshowInterval: '<?php echo $slideShowInterval?>s',
					thumbHeight: <?php echo $thumbHeight?>,
					tooltipSeeAllPhotos: '<?php echo lang('see all photos','c')?>',
					tooltipFullScreen: '<?php echo lang('full screen','c')?>',
					tooltipRandom: '<?php echo lang('random','c')?>',
					tooltipClose: '<?php echo lang('close','c')?>',
					tooltipSlideshow: '<?php echo lang('slideshow','c')?>',
					tooltipToggleThumbnails: '<?php echo lang('toggle thumbnails','c')?>',
					tooltipZoom: '<?php echo lang('zoom','c')?>>',
					transition: '<?php echo $transitionForward?>',
					transitionBackward: '<?php echo $transitionReverse?>'
				});
			} );
			</script>
		</div>
		<?php include($baseURL."footer.php")?>
	</body>
</html>